org.apache.tinkerpop.gremlin.jsr223

## Class GremlinEnabledScriptEngineTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.GremlinEnabledScriptEngineTest

-     public class GremlinEnabledScriptEngineTest
      extends Object

  This is an important test case in that it validates that core features of `ScriptEngine` instances that claim to be "Gremlin-enabled" work in the expected fashion.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinEnabledScriptEngineTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldEvalBytecode()`
    `void` | `shouldGetEngineByName()`
    `void` | `shouldHaveCoreImportsInPlace()`
    `void` | `shouldNotAllowBytecodeEvalWithAliasAsTraversalSource()`
    `void` | `shouldNotAllowBytecodeEvalWithAliasInBindings()`
    `void` | `shouldNotAllowBytecodeEvalWithInvalidBinding()`
    `void` | `shouldNotAllowBytecodeEvalWithMissingBinding()`
    `void` | `shouldReturnNoCustomizers()`
    `void` | `shouldSupportDeprecatedGremlinModules()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinEnabledScriptEngineTest

          public GremlinEnabledScriptEngineTest()

  - ### Method Detail

    - #### shouldEvalBytecode

          public void shouldEvalBytecode()
                                  throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowBytecodeEvalWithAliasInBindings

          public void shouldNotAllowBytecodeEvalWithAliasInBindings()
                                                             throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowBytecodeEvalWithAliasAsTraversalSource

          public void shouldNotAllowBytecodeEvalWithAliasAsTraversalSource()
                                                                    throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowBytecodeEvalWithMissingBinding

          public void shouldNotAllowBytecodeEvalWithMissingBinding()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowBytecodeEvalWithInvalidBinding

          public void shouldNotAllowBytecodeEvalWithInvalidBinding()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldGetEngineByName

          public void shouldGetEngineByName()
                                     throws Exception

      Throws:
        `Exception`

    - #### shouldHaveCoreImportsInPlace

          public void shouldHaveCoreImportsInPlace()
                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportDeprecatedGremlinModules

          public void shouldSupportDeprecatedGremlinModules()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldReturnNoCustomizers

          public void shouldReturnNoCustomizers()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.